require("prototypes.wooden-transport-belt-pictures")
data:extend({

{
    type = "transport-belt",
    name = "wooden-transport-belt",
    icon = "__wooden-transport-belt__/graphics/icons/wooden-transport-belt.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.3, result = "wooden-transport-belt"},
    max_health = 10,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 50
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/basic-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },
    animation_speed_coefficient = 32,
    animations =
    {
      filename = "__wooden-transport-belt__/graphics/entity/wooden-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 16,
      direction_count = 12
    },
    belt_horizontal = wooden_belt_horizontal,
    belt_vertical = wooden_belt_vertical,
    ending_top = wooden_belt_ending_top,
    ending_bottom = wooden_belt_ending_bottom,
    ending_side = wooden_belt_ending_side,
    starting_top = wooden_belt_starting_top,
    starting_bottom = wooden_belt_starting_bottom,
    starting_side = wooden_belt_starting_side,
    ending_patch = ending_patch_prototype,
    fast_replaceable_group = "transport-belt",
    speed = 0.0100
  }
  
})